Bug 598005 - [abrt] crash in audacious-2.2-14.fc13: i_soundfont_load: Process /usr/bin/audacious2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in audacious-2.2-14.fc13: i_soundfont_load: Process /usr/bin/aud...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious-plugins   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5b69a0c06bef7536069aeedf6ec...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 08:58 UTC by Danny Brodzik
Modified: 2010-06-23 17:40 UTC (History)
2 users (show)

Fixed In Version: audacious-plugins-2.2-34.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 17:40:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.91 KB, text/plain)
2010-05-31 08:58 UTC, Danny Brodzik
no flags Details

Description Danny Brodzik 2010-05-31 08:58:41 UTC
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: audacious2
comment: Audacious crashes whenever I change the AMIDI backend.
component: audacious
crash_function: i_soundfont_load
executable: /usr/bin/audacious2
global_uuid: 5b69a0c06bef7536069aeedf6ec59ea56a8d8a76
kernel: 2.6.33.4-95.fc13.i686.PAE
package: audacious-2.2-14.fc13
rating: 4
reason: Process /usr/bin/audacious2 was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Start out with the AMIDI plugin set to the ALSA backend
2. Switch the AMIDI backend to the FluidSynth backend
3. Hit OK or Apply.
4. Audacious crashes.

Comment 1 Danny Brodzik 2010-05-31 08:58:46 UTC
Created attachment 418211 [details]
File: backtrace

Comment 2 Michael Schwendt 2010-05-31 10:40:37 UTC
AMIDI backend loader bug, which caused the loader to read the old backend's config values. Preliminary fix in:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2219112

Comment 3 Fedora Update System 2010-06-07 17:34:08 UTC
audacious-plugins-2.2-34.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/audacious-plugins-2.2-34.fc13

Comment 4 Fedora Update System 2010-06-08 19:30:50 UTC
audacious-plugins-2.2-34.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/audacious-plugins-2.2-34.fc13

Comment 5 Fedora Update System 2010-06-23 17:39:57 UTC
audacious-plugins-2.2-34.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.